Subject: bug#14624: closed (Re: bug#14624: Some suggestions for webjump.el)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Dec 2021 16:21:03 +0000

Your bug report

#14624: Some suggestions for webjump.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14624: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14624
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14624: Some suggestions for webjump.el
From: Stefan Kangas <[email-masked]>
To: Xue Fuqiao <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Dec 2021 08:20:36 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Xue Fuqiao <[email-masked]> writes:

> It will be great if webjump.el contains something like a bookmark
> folder in modern web browsers.  I know there is a "mirrors" builtin,
> but I think a "folder" is better.  Here are some suggestions for
> webjump.el (some of them are not related to "folder", tho):
>
> 1. Implement a command that can open/follow all links/sites in a
> folder;
>
> 2. Implement commands to create/delete a Web site from the hotlist
> easily;
>
> 3. Implement tags for Web sites in the hotlist;
>
> 4. Menu-bar and tool-bar entries for this library.

No one has replied here in 8.5 years.  Instead of keeping this open in
the bug tracker forever, I have added a new TODO section in webjump.el
containing the above suggestions, where interested parties will be able
to find it.  See the attached patch.

With that, I'm closing this bug report.
From 440a201f5768c30c9aa2cef076a5db65349fc94c Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Dec 2021 16:36:07 +0100
Subject: [PATCH] * lisp/net/webjump.el: Add TODO section.  (Bug#14624)

---
 lisp/net/webjump.el | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/lisp/net/webjump.el b/lisp/net/webjump.el
index d14d382aac..7547f92d7d 100644
--- a/lisp/net/webjump.el
+++ b/lisp/net/webjump.el
@@ -61,6 +61,13 @@
 
 ;;; Code:
 
+;; TODO:
+;; - Add a menu bar and tool bar for this library.
+;; - Add commands to create/delete link from the hotlist.
+;; - Add something like a bookmark folder in modern browsers.
+;;    - Add a command that can open/follow all links in a folder.
+;; - Add tags for Web sites in the hotlist.
+
 ;;-------------------------------------------------------- Package Dependencies
 
 (require 'browse-url)
-- 
2.30.2

Subject: Some suggestions for webjump.el
From: Xue Fuqiao <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Sat, 15 Jun 2013 21:25:24 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

severity wishlist

It will be great if webjump.el contains something like a bookmark
folder in modern web browsers.  I know there is a "mirrors" builtin,
but I think a "folder" is better.  Here are some suggestions for
webjump.el (some of them are not related to "folder", tho):

1. Implement a command that can open/follow all links/sites in a
folder;

2. Implement commands to create/delete a Web site from the hotlist
easily;

3. Implement tags for Web sites in the hotlist;

4. Menu-bar and tool-bar entries for this library.

--
Best regards, Xue Fuqiao.
http://www.gnu.org/software/emacs/